﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  Column.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.BLL.Entities
{
    /// <summary>
    /// 
    /// </summary>
    public class Column
    {
        #region Fields

        private int dataSize;
        private string dataType = string.Empty;
        private bool isNullable;
        private string key = string.Empty;
        private string name = string.Empty;
        private string ordinalPosition;

        #endregion Fields

        #region Properties

        /// <summary>
        /// Gets or sets the size of the data.
        /// </summary>
        /// <value>The size of the data.</value>
        public int DataSize
        {
            get { return dataSize; }
            set { dataSize = value; }
        }

        /// <summary>
        /// Gets or sets the type of the data.
        /// </summary>
        /// <value>The type of the data.</value>
        public string DataType
        {
            get { return dataType; }
            set { dataType = value; }
        }

        /// <summary>
        /// Gets or sets a value indicating whether this instance is nullable.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance is nullable; otherwise, <c>false</c>.
        /// </value>
        public bool IsNullable
        {
            get { return isNullable; }
            set { isNullable = value; }
        }

        /// <summary>
        /// Gets or sets the key.
        /// </summary>
        /// <value>The key.</value>
        public string Key
        {
            get { return key; }
            set { key = value; }
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        /// <summary>
        /// Gets or sets the ordinal position.
        /// </summary>
        /// <value>The ordinal position.</value>
        public string OrdinalPosition
        {
            get { return ordinalPosition; }
            set { ordinalPosition = value; }
        }

        #endregion Properties
    }
}