﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  DBConstants.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.DAL.SQL
{
    class DBConstants
    {
        #region Fields

        public static string GetDatabaseSqlCommand = Resources.DALResources.GetDatabaseSqlCommand;
        public static string GetFunctionsSqlCommand = Resources.DALResources.GetFunctionsSqlCommand;
        public static string GetStoredProcedureSqlCommand = Resources.DALResources.GetStoredProcedureSqlCommand;
        public static string GetTablesSqlCommand = Resources.DALResources.GetTablesSqlCommand;
        public static string GetViewsSqlCommand = Resources.DALResources.GetViewsSqlCommand;

        #endregion Fields

        #region Methods

        /// <summary>
        /// Gets the column SQL command.
        /// </summary>
        /// <param name="tableName">Name of the table.</param>
        /// <returns></returns>
        public static string GetColumnSqlCommand(string tableName)
        {
            string command = string.Empty;
            command = Resources.DALResources.GetColumnSqlCommand.Replace("@tableName", tableName);
            return command;
        }

        /// <summary>
        /// Gets the parameter SQL command.
        /// </summary>
        /// <param name="spName">Name of the sp.</param>
        /// <returns></returns>
        public static string GetParameterSqlCommand(string spName)
        {
            string command = string.Empty;
            command = Resources.DALResources.GetParameterSqlCommand.Replace("@spName", spName);
            return command;
        }

        #endregion Methods
    }
}