﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  DBDocumenterEventArgs.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.RoutedEvents
{
    using System.Windows;

    public class ShowPopUpEventArgs : RoutedEventArgs
    {
        #region Fields

        /// <summary>
        /// </summary>
        private Visibility value;

        #endregion Fields

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="ShowCashScreenEventArgs"/> class.
        /// </summary>
        public ShowPopUpEventArgs()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ShowCashScreenEventArgs"/> class.
        /// </summary>
        /// <param name="id">The id of routed event.</param>
        /// <param name="msg">The routed event message.</param>
        public ShowPopUpEventArgs(RoutedEvent id, Visibility value)
        {
            RoutedEvent = id;
            this.Value = value;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the ID.
        /// </summary>
        /// <value>Routed event ID.</value>
        public int ID
        {
            get; set;
        }

        /// <summary>
        /// Gets or sets the message.
        /// </summary>
        /// <value>The message.</value>
        public Visibility Value
        {
            get
            {
                return this.value;
            }

            set
            {
                this.value = value;
            }
        }

        #endregion Properties
    }
}