﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  UCCaptionScreen.xaml.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.UserControls
{
    using System.Windows.Controls;

    using DBDocumenter.Helper;

    /// <summary>
    /// Interaction logic for UCCaptionScreen.xaml
    /// </summary>
    public partial class UCCaptionScreen : UserControl
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="UCCaptionScreen"/> class.
        /// </summary>
        public UCCaptionScreen()
        {
            InitializeComponent();
        }

        #endregion Constructors

        #region Methods

        /// <summary>
        /// Sets the wizard step.
        /// </summary>
        /// <param name="step">The step.</param>
        public void SetWizardStep(WizardSteps step)
        {
            if (step.Equals(WizardSteps.Welcome))
            {
                rdoWelcome.IsChecked = true;
            }
            else if (step.Equals(WizardSteps.DatabaseInformation))
            {
                rdoDBInformation.IsChecked = true;
            }
            else if (step.Equals(WizardSteps.DatabaseCompont))
            {
                rdoDBComponents.IsChecked = true;
            }
            else if (step.Equals(WizardSteps.DatabaseSummary))
            {
                rdoDBSummary.IsChecked = true;
            }
        }

        #endregion Methods
    }
}