<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match = "/" >
    <html>
      <head>
        <title>Function Details</title>
        <LINK HREF="./styles/RadGrid_Office2007.css" REL="stylesheet" TYPE="text/css" />
        <LINK HREF="./styles/RadTabStrip.css" REL="stylesheet" TYPE="text/css" />
        <LINK HREF="./styles/RadTabStrip_Office2007.css" REL="stylesheet" TYPE="text/css" />
      </head>
      <body class="RadGrid RadGrid_Office2007">

        <table cellspacing="0" cellpadding="0" style="width:100%">
          <tr>
            <td>
              <div id="RadTabStrip1" class="RadTabStrip RadTabStrip_Office2007 RadTabStripTop_Office2007">
                <div class="rtsLevel rtsLevel1">
                  <ul class="rtsUL">
                    <li class="rtsLI rtsFirst rtsLast">
                      <a class="rtsLink rtsSelected" href="#">
                        <span class="rtsOut">
                          <span class="rtsIn">
                            <span class="rtsTxt">
                              <font style="font-weight:bold" size="2.5px">Function Details</font>
                            </span>
                          </span>
                        </span>
                      </a>
                    </li>
                  </ul>
                </div>
              </div>
            </td>
          </tr>
          <tr>
            <td style="border-top:solid 0px #8db2e3; border-right:solid 3px #8db2e3; border-bottom:solid 1px #8db2e3; border-left:solid 1px #8db2e3; padding:10px;">

              
                <font style="font-weight:bold" size="2px">Function Properties</font>
                <hr class="RadGrid RadGrid_Office2007" />
                <div class="RadGrid RadGrid_Office2007" style="width:30%;">
                  <table class="MasterTable_Office2007" cellspacing="0"  style="width:100%;border-collapse:collapse;table-layout:auto;empty-cells:show;" id="ListOfTables" >
                    <thead>
                      <tr class="GridRow_Office2007">
                        <th class="GridHeader_Office2007" width="20%">Name</th>
                        <th class="GridHeader_Office2007" width="80%">Value</th>
                      </tr>
                    </thead>
                    <tbody>
                      <xsl:for-each select="//Function/FunctionProperties">
                        <tr class="GridRow_Office2007">
                          <td>
                            <xsl:choose>
                              <xsl:when test="string-length(Name) > 0">
                                <xsl:value-of select="Name"/>
                              </xsl:when>
                              <xsl:otherwise>
                                &nbsp;
                              </xsl:otherwise>
                            </xsl:choose>
                          </td>
                          <td>
                            <xsl:choose>
                              <xsl:when test="string-length(Value) > 0">
                                <xsl:value-of select="Value"/>
                              </xsl:when>
                              <xsl:otherwise>
                                &nbsp;
                              </xsl:otherwise>
                            </xsl:choose>
                          </td>
                        </tr>
                      </xsl:for-each>
                    </tbody>
                  </table>
                </div>
                <br/>
                <font style="font-weight:bold" size="2px">Columns</font>
                <hr class="RadGrid RadGrid_Office2007" />
                <div class="RadGrid RadGrid_Office2007" style="width:50%;">
                <table class="MasterTable_Office2007" cellspacing="0"  style="width:100%;border-collapse:collapse;table-layout:auto;empty-cells:show;" id="ListOfTables" >
                  <thead>
                    <tr class="GridRow_Office2007">
                      <th class="GridHeader_Office2007" width="25%">Ordinal Position</th>
                      <th class="GridHeader_Office2007" width="25%">Name</th>
                      <th class="GridHeader_Office2007" width="25%">Data Type</th>
                      <th class="GridHeader_Office2007" width="25%">Mode</th>
                    </tr>
                  </thead>
                  <tbody>
                    <xsl:for-each select="//Function/FunctionParameter">
                      <tr class="GridRow_Office2007">
                        <td>
                          <xsl:choose>
                            <xsl:when test="string-length(OrdinalPosition) > 0">
                              <xsl:value-of select="OrdinalPosition"/>
                            </xsl:when>
                            <xsl:otherwise>
                              &nbsp;
                            </xsl:otherwise>
                          </xsl:choose>
                        </td>
                        <td>
                          <xsl:choose>
                            <xsl:when test="string-length(Name) > 0">
                              <xsl:value-of select="Name"/>
                            </xsl:when>
                            <xsl:otherwise>
                              &nbsp;
                            </xsl:otherwise>
                          </xsl:choose>
                        </td>
                        <td>
                          <xsl:choose>
                            <xsl:when test="string-length(DataType) > 0">
                              <xsl:value-of select="DataType"/>
                            </xsl:when>
                            <xsl:otherwise>
                              &nbsp;
                            </xsl:otherwise>
                          </xsl:choose>
                        </td>
                        <td>
                          <xsl:choose>
                            <xsl:when test="string-length(Mode) > 0">
                              <xsl:value-of select="Mode"/>
                            </xsl:when>
                            <xsl:otherwise>
                              &nbsp;
                            </xsl:otherwise>
                          </xsl:choose>
                        </td>
                      </tr>
                    </xsl:for-each>
                  </tbody>
                </table>
              </div>
                
                <br/>
                <font style="font-weight:bold" size="2px">SQL</font>
                <hr class="RadGrid RadGrid_Office2007" />
                <div class="RadGrid RadGrid_Office2007" style="width:100%;">
                <table class="MasterTable_Office2007" cellspacing="0"  style="width:100%;border-collapse:collapse;table-layout:auto;empty-cells:show;" id="ListOfTables" >
                  <thead>
                    <tr class="GridRow_Office2007">
                      <th class="GridHeader_Office2007" width="100%">Creation Script</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr class="GridRow_Office2007">
                      <td>
                        <pre>
                          <xsl:if test="string-length(//Function/FunctionSQL) > 0">
                            <xsl:value-of select="//Function/FunctionSQL"/>
                          </xsl:if>
                        </pre>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              </td>
            </tr>
          </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>